%define upstream_name    Test-CChecker
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Test-time utilities for checking C headers, libraries, or OS features
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::CChecker) >= 0.90.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(base)
BuildArch:  noarch

%description
This module is a very thin convenience wrapper around the
ExtUtils::CChecker manpage to make it useful for use in a test context. It
is intended for use with Alien modules which need to verify that libraries
work as intended with the Compiler and flags used by Perl to build XS
modules.

By default this module is very quiet, hiding all output using the
Capture::Tiny manpage unless there is a failure, in which case you will see
the commands, flags and output used.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-2.mga6
+ Revision: 1034117
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.80.0-1.mga6
+ Revision: 1007253
- update to 0.08

* Mon Jan 25 2016 shlomif <shlomif> 0.70.0-1.mga6
+ Revision: 927451
- imported package perl-Test-CChecker


* Mon Jan 25 2016 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
